import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/advice/index',
    method: 'get',
    params: query
  })
}

export function fetchAdvice(id) {
  return request({
    url: '/advice/read',
    method: 'get',
    params: { id }
  })
}

export function createAdvice(data) {
  return request({
    url: '/advice/save',
    method: 'post',
    data
  })
}

export function updateAdvice(data) {
  return request({
    url: '/advice/update?id=' + data.id,
    method: 'post',
    data
  })
}

export function deleteAdvice(id) {
  return request({
    url: '/advice/delete?id=' + id,
    method: 'get'
  })
}
