import request from '@/utils/request'

export function getList(params) {
  return request({
    url: '/user/index',
    method: 'get',
    data: JSON.stringify({
      'companyCode': 'baodao',
      'type': 2,
      'source': 3,
      'youxuanHome': 'new',
      'version': 2,
      'getIndex': 1,
      'dataVersion': 1,
      'sign': 'd5302682d74eee21846a19f03d6e13a03cb8eb0c'
    })
  })
}

export function fetchList(query) {
  return request({
    url: '/article/index',
    method: 'get',
    params: query
  })
}

export function fetchArticle(id) {
  return request({
    url: '/article/read',
    method: 'get',
    params: { id }
  })
}

export function fetchPv(pv) {
  return request({
    url: '/vue-element-admin/article/pv',
    method: 'get',
    params: { pv }
  })
}

export function createArticle(data) {
  return request({
    url: '/article/save',
    method: 'post',
    data
  })
}

export function updateArticle(data) {
  return request({
    url: '/article/update?id=' + data.id,
    method: 'post',
    data
  })
}

export function deleteArticle(id) {
  return request({
    url: '/article/delete?id=' + id,
    method: 'get'
  })
}
