import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/Carousel/index',
    method: 'get',
    params: query
  })
}

export function fetchBanner(id) {
  return request({
    url: '/Carousel/read',
    method: 'get',
    params: { id }
  })
}

export function createBanner(data) {
  return request({
    url: '/Carousel/save',
    method: 'post',
    data
  })
}

export function updateBanner(data) {
  return request({
    url: '/Carousel/update?id=' + data.id,
    method: 'post',
    data
  })
}

export function deleteBanner(id) {
  return request({
    url: '/Carousel/delete?id=' + id,
    method: 'get'
  })
}
