import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/OpenArea/index',
    method: 'get',
    params: query
  })
}

export function fetchOpenArea(id) {
  return request({
    url: '/OpenArea/read',
    method: 'get',
    params: { id }
  })
}

export function createOpenArea(data) {
  return request({
    url: '/OpenArea/save',
    method: 'post',
    data
  })
}

export function updateOpenArea(data) {
  return request({
    url: '/OpenArea/update?id=' + data.id,
    method: 'post',
    data
  })
}

export function deleteOpenArea(id) {
  return request({
    url: '/OpenArea/delete?id=' + id,
    method: 'get'
  })
}
