import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/Live/index',
    method: 'get',
    params: query
  })
}

export function fetchLive(id) {
  return request({
    url: '/Live/read',
    method: 'get',
    params: { id }
  })
}

export function createLive(data) {
  return request({
    url: '/Live/save',
    method: 'post',
    data
  })
}

export function updateLive(data) {
  return request({
    url: '/Live/update?id=' + data.id,
    method: 'post',
    data
  })
}

export function deleteLive(id) {
  return request({
    url: '/Live/delete?id=' + id,
    method: 'get'
  })
}
