import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/questionAnswer/index',
    method: 'get',
    params: query
  })
}

export function fetchQuestion(id) {
  return request({
    url: '/questionAnswer/read',
    method: 'get',
    params: { id }
  })
}

export function createQuestion(data) {
  return request({
    url: '/questionAnswer/save',
    method: 'post',
    data
  })
}

export function updateQuestion(data) {
  return request({
    url: '/questionAnswer/update?id=' + data.id,
    method: 'post',
    data
  })
}

export function deleteQuestion(id) {
  return request({
    url: '/questionAnswer/delete?id=' + id,
    method: 'get'
  })
}
