import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/user/index',
    method: 'get',
    params: query
  })
}

export function fetchUser(id) {
  return request({
    url: '/User/read',
    method: 'get',
    params: { id }
  })
}

export function updateUser(data) {
  return request({
    url: '/User/update?id=' + data.id,
    method: 'post',
    data
  })
}

export function deleteUser(id) {
  return request({
    url: '/User/delete?id=' + id,
    method: 'get'
  })
}
