import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/video/index',
    method: 'get',
    params: query
  })
}

export function fetchVideo(id) {
  return request({
    url: '/video/read',
    method: 'get',
    params: { id }
  })
}

export function createVideo(data) {
  return request({
    url: '/video/save',
    method: 'post',
    data
  })
}

export function updateVideo(data) {
  return request({
    url: '/video/update?id=' + data.id,
    method: 'post',
    data
  })
}

export function deleteVideo(id) {
  return request({
    url: '/video/delete?id=' + id,
    method: 'get'
  })
}
